package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtMonthRuntime;

/**
 * 月度场站运行天数工单Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public interface GxtMonthRuntimeMapper 
{
    /**
     * 查询月度场站运行天数工单
     * 
     * @param id 月度场站运行天数工单主键
     * @return 月度场站运行天数工单
     */
    public GxtMonthRuntime selectGxtMonthRuntimeById(Long id);

    /**
     * 查询月度场站运行天数工单列表
     * 
     * @param gxtMonthRuntime 月度场站运行天数工单
     * @return 月度场站运行天数工单集合
     */
    public List<GxtMonthRuntime> selectGxtMonthRuntimeList(GxtMonthRuntime gxtMonthRuntime);

    public List<GxtMonthRuntime> selectGxtMonthRuntimeListByAdd(GxtMonthRuntime gxtMonthRuntime);

    /**
     * 新增月度场站运行天数工单
     * 
     * @param gxtMonthRuntime 月度场站运行天数工单
     * @return 结果
     */
    public int insertGxtMonthRuntime(GxtMonthRuntime gxtMonthRuntime);

    /**
     * 修改月度场站运行天数工单
     * 
     * @param gxtMonthRuntime 月度场站运行天数工单
     * @return 结果
     */
    public int updateGxtMonthRuntime(GxtMonthRuntime gxtMonthRuntime);

    /**
     * 删除月度场站运行天数工单
     * 
     * @param id 月度场站运行天数工单主键
     * @return 结果
     */
    public int deleteGxtMonthRuntimeById(Long id);

    /**
     * 批量删除月度场站运行天数工单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtMonthRuntimeByIds(Long[] ids);
}